[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TVarDispProc

Callback to perform dispatch call on variant

## Declaration

Source position: variants.pp line 265

`type TVarDispProc = procedure(`
`Dest: PVariant;`
`const Source: Variant;`
`CallDesc: pcalldesc;`
`Params: Pointer`
`);`

## Arguments

`Dest` |  | Result of the operation
`Source` |  | Variant the operation was invoked on
`CallDesc` |  | Call description
`Params` |  | Parameters provided to call

## Description

TVarDispProc is the type for the VarDispProc callback handler. It accepts a destination variant (Dest) for a result. Source is the variant on which the operation was invoked, CallDesc Describes the arguments to the call and Params points to the parameters provided in the call.

## See also

VarDispProc |  | Handler called by DispInvoke